Page MenuHomePhabricator

Create a sample data set and use it for all development
Closed, ResolvedPublic

Description

To avoid making unnecessary copies of the live data set, we should create a sample data set containing a range of example accounts, partners, and applications, that can be made available for public download alongside the site's code.

We also need people with database copies to confirm deletion of them:

  • Sam
  • Aaron
  • Brodie
  • Twila

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2017, 4:33 PM
Samwalton9 triaged this task as Medium priority.Oct 24 2017, 4:34 PM
Samwalton9 moved this task from Incoming tasks to Planned on the Library-Card-Platform board.
Samwalton9 renamed this task from Create a sample data set to Create a sample data set and use it for all testing.Apr 9 2018, 10:24 AM
Samwalton9 removed Samwalton9 as the assignee of this task.Apr 25 2018, 10:19 AM
Samwalton9 moved this task from Planned to Doing on the Library-Card-Platform board.

Only major piece that's missing from those PRs is images.

Samwalton9 renamed this task from Create a sample data set and use it for all testing to Create a sample data set and use it for all development.Jul 25 2018, 11:50 AM

Main PR now merged, just waiting for the puppet and vagrant PRs, then we can make sure everyone transitions to these.

In doing some dev today I've picked up a couple of points for improvement:

  • Applications going back 10 years with random approval dates is a bit ridiculous. Should have apps starting in ~2012 and approval dates should generally be no further than one year from that date.
  • Renewals should only happen for applications marked 'Sent'.

All scripts now in the codebase, data deletion requests sent.

Samwalton9 updated the task description. (Show Details)Aug 15 2018, 11:37 AM
Samwalton9 updated the task description. (Show Details)
Samwalton9 closed this task as Resolved.Sep 21 2018, 2:30 PM
Samwalton9 updated the task description. (Show Details)